<?php

namespace App\Http\Requests;

use Illuminate\Foundation\Http\FormRequest;

class VehicleRequest extends FormRequest
{
    public function rules(): array {
        $rules = [
            'transporter_id' => ['required', 'exists:transporters,id'],

            'vehicle_registration_no' => ['required', 'string', 'max:20'],
            'chassis_no' => ['nullable', 'string', 'max:20'],
            'engine_no' => ['nullable', 'string', 'max:20'],
            'make' => ['nullable'],
            'model' => ['nullable'],
            'vehicle_owner_name' => ['nullable', 'string', 'max:20'],
            'vehicle_type' => ['nullable'],
            'carrying_capacity' => ['nullable', 'string', 'max:10'],
            'fitness_upto' => ['nullable', 'date'],
            'insurance_upto' => ['nullable', 'date'],
            'pucc_upto' => ['nullable', 'date'],
        ];

        if ($this->routeIs("vehicles.update") || $this->isMethod("PATCH") || $this->isMethod("PUT")) {
            $rules["transporter_id"][0] = "sometimes";
            $rules["vehicle_registration_no"][0] = "sometimes";
        }

        return $rules;
    }

    public function authorize(): bool {
        return true;
    }
}
