<?php

namespace App\Http\Resources;

use App\Models\Customer;
use Illuminate\Http\Request;
use Illuminate\Http\Resources\Json\JsonResource;

/** @mixin Customer */
class CustomerResource extends JsonResource
{
    public function toArray(Request $request): array {
        return [
            'id' => $this->id,

            'admin_id' => $this->admin_id,

            'cri_code' => $this->cri_code,
            'vertical_name' => $this->vertical_name,
            'insured_name' => $this->insured_name,
            'insured_policy_no' => $this->insured_policy_no,
            'insured_contact_person_name' => $this->insured_contact_person_name,
            'insured_contact_person_mobile_no' => $this->insured_contact_person_mobile_no,
            'rm_name' => $this->rm_name,
            'rm_mobile_no' => $this->rm_mobile_no,
            'rm_email' => $this->rm_email,
            'under_writer_name' => $this->under_writer_name,
            'under_writer_mobile_no' => $this->under_writer_mobile_no,
            'under_writer_email' => $this->under_writer_email,
            'vertical_head_name' => $this->vertical_head_name,
            'vertical_head_mobile_no' => $this->vertical_head_mobile_no,
            'vertical_head_email' => $this->vertical_head_email,

            // relations
            'admin' => new UserResource($this->whenLoaded('admin')),
            'transporters' => TransporterResource::collection($this->whenLoaded("transporters")),

            // timestamps
            'created_at' => $this->created_at,
            'updated_at' => $this->updated_at,
        ];
    }
}
