<?php

namespace App\Http\Resources;

use App\Models\Driver;
use Illuminate\Http\Request;
use Illuminate\Http\Resources\Json\JsonResource;

/** @mixin Driver */
class DriverResource extends JsonResource
{
    public function toArray(Request $request): array {
        return [
            'id' => $this->id,

            'transporter_id' => $this->transporter_id,

            'name_as_per_aadhaar' => $this->name_as_per_aadhaar,
            'name_as_per_dl' => $this->name_as_per_dl,
            'dl_no' => $this->dl_no,
            'mobile_no' => $this->mobile_no,
            'dl_dob' => $this->dl_dob,
            'dl_state' => $this->dl_state,
            'dl_address' => $this->dl_address,
            'valid_upto' => $this->valid_upto,
            'rto' => $this->rto,
            'rto_code' => $this->rto_code,
            'vehicle_class' => $this->vehicle_class,
            'aadhaar_no' => $this->aadhaar_no,
            'aadhaar_dob' => $this->aadhaar_dob,
            'country' => $this->country,
            'dist' => $this->dist,
            'house' => $this->house,
            'landmark' => $this->landmark,
            'loc' => $this->loc,
            'po' => $this->po,
            'aadhaar_state' => $this->aadhaar_state,
            'street' => $this->street,
            'subdist' => $this->subdist,
            'vtc' => $this->vtc,

            // relations
            'transporter' => new TransporterResource($this->whenLoaded('transporter')),
            'trips' => TripResource::collection($this->whenLoaded("trips")),

            // timestamps
            'created_at' => $this->created_at,
            'updated_at' => $this->updated_at,
        ];
    }
}
