<?php

namespace App\Http\Resources;

use App\Models\EPod;
use Illuminate\Http\Request;
use Illuminate\Http\Resources\Json\JsonResource;

/** @mixin EPod */
class EPodResource extends JsonResource
{
    public function toArray(Request $request): array {
        return [
            'id' => $this->id,

            'trip_id' => $this->trip_id,
            'receiver_id' => $this->receiver_id,

            'latitude' => $this->latitude,
            'longitude' => $this->longitude,
            'are_goods_damaged' => $this->are_goods_damaged,
            'damage_type' => $this->damage_type,
            'num_damaged_pieces' => $this->num_damaged_pieces,
            'delivery_date' => $this->delivery_date,
            'special_remark' => $this->special_remark,
            'feedback' => $this->feedback,
            'photo_1' => $this->photo_1,
            'photo_2' => $this->photo_2,
            'photo_3' => $this->photo_3,
            'photo_4' => $this->photo_4,
            'video' => $this->video,

            // relations
            'trip' => new TripResource($this->whenLoaded('trip')),
            'receiver' => new UserResource($this->whenLoaded('receiver')),

            // timestamps
            'created_at' => $this->created_at,
            'updated_at' => $this->updated_at,
        ];
    }
}
