<?php

namespace App\Http\Resources;

use App\Models\Vehicle;
use Illuminate\Http\Request;
use Illuminate\Http\Resources\Json\JsonResource;

/** @mixin Vehicle */
class VehicleResource extends JsonResource
{
    public function toArray(Request $request): array {
        return [
            'id' => $this->id,

            'transporter_id' => $this->transporter_id,

            'vehicle_registration_no' => $this->vehicle_registration_no,
            'chassis_no' => $this->chassis_no,
            'engine_no' => $this->engine_no,
            'make' => $this->make,
            'model' => $this->model,
            'vehicle_owner_name' => $this->vehicle_owner_name,
            'vehicle_type' => $this->vehicle_type,
            'carrying_capacity' => $this->carrying_capacity,
            'fitness_upto' => $this->fitness_upto,
            'insurance_upto' => $this->insurance_upto,
            'pucc_upto' => $this->pucc_upto,

            // relations
            'transporter' => new TransporterResource($this->whenLoaded('transporter')),
            'trips' => TripResource::collection($this->whenLoaded("trips")),

            // timestamps
            'created_at' => $this->created_at,
            'updated_at' => $this->updated_at,
        ];
    }
}
