<?php

namespace App\Models;

use Abbasudo\Purity\Traits\Filterable;
use Illuminate\Database\Eloquent\Factories\HasFactory;
use Illuminate\Database\Eloquent\Model;
use Illuminate\Database\Eloquent\Relations\BelongsTo;
use Illuminate\Database\Eloquent\Relations\HasMany;

class Driver extends Model
{
    use HasFactory, Filterable;

    public $filterFields = [
        'transporter_id',

        'name_as_per_aadhaar',
        'name_as_per_dl',
        'dl_no',
        'mobile_no',
        'dl_dob',
        'dl_state',
        'dl_address',
        'valid_upto',
        'rto',
        'rto_code',
        'vehicle_class',
        'aadhaar_no',
        'aadhaar_dob',
        'country',
        'dist',
        'house',
        'landmark',
        'loc',
        'po',
        'aadhaar_state',
        'street',
        'subdist',
        'vtc',
    ];

    protected $fillable = [
        'transporter_id',

        'name_as_per_aadhaar',
        'name_as_per_dl',
        'dl_no',
        'mobile_no',
        'dl_dob',
        'dl_state',
        'dl_address',
        'valid_upto',
        'rto',
        'rto_code',
        'vehicle_class',
        'aadhaar_no',
        'aadhaar_dob',
        'country',
        'dist',
        'house',
        'landmark',
        'loc',
        'po',
        'aadhaar_state',
        'street',
        'subdist',
        'vtc',
    ];

    public function transporter(): BelongsTo {
        return $this->belongsTo(Transporter::class);
    }

    public function trips(): HasMany {
        return $this->hasMany(Trip::class, 'driver_id');
    }
}
