<?php

namespace App\Models;

use Abbasudo\Purity\Traits\Filterable;
use Illuminate\Database\Eloquent\Factories\HasFactory;
use Illuminate\Database\Eloquent\Model;
use Illuminate\Database\Eloquent\Relations\BelongsTo;

class EPod extends Model
{
    use HasFactory, Filterable;

    public $filterFields = [
        'trip_id',
        'receiver_id',

        'latitude',
        'longitude',
        'are_goods_damaged',
        'damage_type',
        'delivery_date',
        'feedback',
    ];

    protected $fillable = [
        'trip_id',
        'receiver_id',

        'latitude',
        'longitude',
        'are_goods_damaged',
        'damage_type',
        'num_damaged_pieces',
        'delivery_date',
        'special_remark',
        'feedback',
    ];

    public function trip(): BelongsTo {
        return $this->belongsTo(Trip::class);
    }

    public function receiver(): BelongsTo {
        return $this->belongsTo(User::class, 'receiver_id');
    }

    protected function casts(): array {
        return [
            'are_goods_damaged' => 'boolean'
        ];
    }
}
