<?php

namespace App\Models;

use Abbasudo\Purity\Traits\Filterable;
use Illuminate\Database\Eloquent\Factories\HasFactory;
use Illuminate\Database\Eloquent\Model;
use Illuminate\Database\Eloquent\Relations\BelongsTo;
use Illuminate\Database\Eloquent\Relations\HasMany;

class Vehicle extends Model
{
    use HasFactory, Filterable;

    public $filterFields = [
        'transporter_id',

        'vehicle_registration_no',
        'chassis_no',
        'engine_no',
        'make',
        'model',
        'vehicle_type',
        'carrying_capacity',
        'fitness_upto',
        'insurance_upto',
        'pucc_upto',
    ];

    protected $fillable = [
        'transporter_id',

        'vehicle_registration_no',
        'chassis_no',
        'engine_no',
        'make',
        'model',
        'vehicle_owner_name',
        'vehicle_type',
        'carrying_capacity',
        'fitness_upto',
        'insurance_upto',
        'pucc_upto',
    ];

    public function transporter(): BelongsTo {
        return $this->belongsTo(Transporter::class);
    }

    public function trips(): HasMany {
        return $this->hasMany(Trip::class, 'vehicle_id');
    }
}
