<?php

namespace Database\Factories;

use App\Models\Customer;
use Illuminate\Database\Eloquent\Factories\Factory;

class CustomerFactory extends Factory
{
    protected $model = Customer::class;

    public function definition(): array {
        return [
            'cri_code' => Customer::generateCRICode(),
            'vertical_name' => $this->faker->name(),
            'insured_name' => $this->faker->name(),
            'insured_policy_no' => $this->faker->password(),
            'insured_contact_person_name' => $this->faker->name(),
            'insured_contact_person_mobile_no' => $this->faker->phoneNumber(),
            'rm_name' => $this->faker->name(),
            'rm_mobile_no' => $this->faker->phoneNumber(),
            'rm_email' => $this->faker->unique()->safeEmail(),
            'under_writer_name' => $this->faker->name(),
            'under_writer_mobile_no' => $this->faker->phoneNumber(),
            'under_writer_email' => $this->faker->unique()->safeEmail(),
            'vertical_head_name' => $this->faker->name(),
            'vertical_head_mobile_no' => $this->faker->phoneNumber(),
            'vertical_head_email' => $this->faker->unique()->safeEmail(),
        ];
    }
}
