<?php

namespace Database\Factories;

use App\Models\Driver;
use Illuminate\Database\Eloquent\Factories\Factory;

class DriverFactory extends Factory
{
    protected $model = Driver::class;

    public function definition(): array {
        $dlDob = fake()->dateTimeThisCentury();
        $dlName = fake()->name;

        return [
            'dl_no' => $this->faker->password(),
            'mobile_no' => $this->faker->phoneNumber(),
            'aadhaar_no' => $this->faker->word(),
            "name_as_per_dl" => $dlName,
            "dl_dob" => $dlDob,
            "dl_state" => fake()->word,
            "dl_address" => fake()->address,
            "valid_upto" => now()->addYears(2),
            "rto" => fake()->address,
            "rto_code" => fake()->word,

            "name_as_per_aadhaar" => $dlName,
            "aadhaar_dob" => $dlDob,
            "country" => "India",
        ];
    }
}
