<?php

namespace Database\Factories;

use App\Models\Transporter;
use Illuminate\Database\Eloquent\Factories\Factory;

class TransporterFactory extends Factory
{
    protected $model = Transporter::class;

    public function definition(): array {
        return [
            'transporter_code' => Transporter::generateTransporterCode(),
            'name' => $this->faker->name(),
            'email' => $this->faker->unique()->safeEmail(),
            'mobile_no_1' => $this->faker->phoneNumber(),
            'mobile_no_2' => $this->faker->phoneNumber(),
            'address' => $this->faker->address(),
            'state' => "Maharashtra",
        ];
    }
}
