<?php

namespace Database\Factories;

use App\Enums\TripStatus;
use App\Models\Trip;
use Illuminate\Database\Eloquent\Factories\Factory;

class TripFactory extends Factory
{
    protected $model = Trip::class;

    public function definition(): array {
        return [
            'trip_code' => Trip::generateTripCode(),

            'is_chassis_no_verified' => true,
            'is_engine_no_verified' => true,
            'is_make_verified' => true,
            'is_model_verified' => true,
            'is_carrying_capacity_verified' => true,
            'is_vehicle_type_verified' => true,
            'is_aadhaar_verified' => true,
            'is_dl_verified' => true,
            'is_dob_verified' => true,
            'is_address_verified' => true,
            'is_mobile_No_verified' => true,
//            'dob_remark' => $this->faker->paragraph(1),
//            'address_remark' => $this->faker->paragraph(1),

            'consignor_name' => $this->faker->name(),
            'consignee_name' => $this->faker->name(),
            'fast_tag_id' => $this->faker->password(),
            'dispatch_location' => $this->faker->word(),
            'dispatch_pincode' => "400092",
            'destination_location' => $this->faker->word(),
            'destination_pincode' => "400071",
            'latitude' => $this->faker->latitude(),
            'longitude' => $this->faker->longitude(),
            'goods_description' => $this->faker->text(),
            'eta' => now()->addDays(3),
            'is_e_pod_created' => false,
            'status' => TripStatus::PENDING->value,
        ];
    }
}
