<?php

namespace Database\Factories;

use App\Models\Vehicle;
use Illuminate\Database\Eloquent\Factories\Factory;

class VehicleFactory extends Factory
{
    protected $model = Vehicle::class;

    public function definition(): array {
        return [
            'vehicle_registration_no' => $this->faker->password(),
            'chassis_no' => $this->faker->password(),
            'engine_no' => $this->faker->password(),
            'make' => $this->faker->word(),
            'model' => $this->faker->word(),
            'vehicle_owner_name' => $this->faker->name(),
            'vehicle_type' => $this->faker->word(),
            'carrying_capacity' => $this->faker->word(),
            'fitness_upto' => $this->faker->dateTimeThisDecade("2030-12-31"),
            'insurance_upto' => $this->faker->dateTimeThisDecade("2030-12-31"),
            'pucc_upto' => $this->faker->dateTimeThisDecade("2030-12-31"),
        ];
    }
}
