<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

return new class extends Migration {
    public function up(): void {
        Schema::create('customers', function (Blueprint $table) {
            $table->id();

            $table->foreignId('admin_id')->nullable()
                ->constrained("users")->nullOnDelete();

            $table->string('cri_code', 12);
            $table->string('vertical_name');
            $table->string('insured_name');
            $table->string('insured_policy_no');
            $table->string('insured_contact_person_name');
            $table->string('insured_contact_person_mobile_no', 20);
            $table->string('rm_name');
            $table->string('rm_mobile_no', 20);
            $table->string('rm_email')->unique();
            $table->string('under_writer_name');
            $table->string('under_writer_mobile_no', 20);
            $table->string('under_writer_email')->unique();
            $table->string('vertical_head_name');
            $table->string('vertical_head_mobile_no', 20);
            $table->string('vertical_head_email')->unique();

            $table->timestamps();
        });
    }

    public function down(): void {
        Schema::dropIfExists('customers');
    }
};
