<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

return new class extends Migration {
    public function up(): void {
        Schema::create('transporters', function (Blueprint $table) {
            $table->id();

            $table->foreignId('created_by_id')
                ->constrained("users")->cascadeOnDelete();
            $table->foreignId('customer_id')
                ->constrained("customers")->cascadeOnDelete();

            $table->string('transporter_code');
            $table->string('name');
            $table->string('email')->unique();
            $table->string('mobile_no_1', 20);
            $table->string('mobile_no_2', 20)->nullable();
            $table->text('address');
            $table->string('state', 50);

            $table->timestamps();
        });
    }

    public function down(): void {
        Schema::dropIfExists('transporters');
    }
};
