<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

return new class extends Migration {
    public function up(): void {
        Schema::create('vehicles', function (Blueprint $table) {
            $table->id();

            $table->foreignId('transporter_id')
                ->constrained("transporters")->cascadeOnDelete();

            $table->string('vehicle_registration_no', 20);
            $table->string('chassis_no', 20)->nullable();
            $table->string('engine_no', 20)->nullable();
            $table->string('make')->nullable();
            $table->string('model')->nullable();
            $table->string('vehicle_owner_name')->nullable();
            $table->string('vehicle_type')->nullable();
            $table->string('carrying_capacity', 10)->nullable();
            $table->date('fitness_upto')->nullable();
            $table->date('insurance_upto')->nullable();
            $table->date('pucc_upto')->nullable();

            $table->index(["vehicle_registration_no"]);

            $table->timestamps();
        });
    }

    public function down(): void {
        Schema::dropIfExists('vehicles');
    }
};
