<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

return new class extends Migration {
    public function up(): void {
        Schema::create('drivers', function (Blueprint $table) {
            $table->id();

            $table->foreignId('transporter_id')
                ->constrained("transporters")->cascadeOnDelete();

            // driving license related columns
            $table->string('dl_no', 20)->index();
            $table->string('mobile_no', 20);
            $table->string('name_as_per_dl')->nullable();
            $table->date('dl_dob')->nullable();
            $table->string('dl_state', 50)->nullable();
            $table->string('dl_address')->nullable();
            $table->date('valid_upto')->nullable();
            $table->string('rto')->nullable();
            $table->string('rto_code', 10)->nullable();
            $table->string('vehicle_class')->nullable();

            // aadhaar related columns
            $table->string('aadhaar_no', 15)->index();
            $table->string('name_as_per_aadhaar')->nullable();
            $table->date('aadhaar_dob')->nullable();
            $table->string('country', 60)->nullable();
            $table->string('dist', 50)->nullable();
            $table->string('house')->nullable();
            $table->string('landmark')->nullable();
            $table->string('loc')->nullable();
            $table->string('po', 50)->nullable();
            $table->string('aadhaar_state', 50)->nullable();
            $table->string('street')->nullable();
            $table->string('subdist', 50)->nullable();
            $table->string('vtc')->nullable();

            $table->timestamps();
        });
    }

    public function down(): void {
        Schema::dropIfExists('drivers');
    }
};
