<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

return new class extends Migration {
    public function up(): void {
        Schema::create('e_pods', function (Blueprint $table) {
            $table->id();

            $table->foreignId('trip_id')
                ->constrained("trips")->cascadeOnDelete();
            $table->foreignId('receiver_id')
                ->constrained("users")->cascadeOnDelete();

            $table->decimal('latitude', 10, 8);
            $table->decimal('longitude', 11, 8);
            $table->string('are_goods_damaged')->default(false);
            $table->string('damage_type')->nullable();
            $table->unsignedMediumInteger('num_damaged_pieces')->nullable();
            $table->date('delivery_date');
            $table->text('special_remark')->nullable();
            $table->tinyInteger('feedback');
            $table->string('photo_1')->nullable();
            $table->string('photo_2')->nullable();
            $table->string('photo_3')->nullable();
            $table->string('photo_4')->nullable();
            $table->string('video')->nullable();

            $table->timestamps();
        });
    }

    public function down(): void {
        Schema::dropIfExists('e_pods');
    }
};
