<?php //8057ba58ebc9e1e5b4b38e7d1fa2a2c5
/** @noinspection all */

namespace LaravelIdea\Helper\App\Models {

    use App\Models\Customer;
    use App\Models\Driver;
    use App\Models\EPod;
    use App\Models\Transporter;
    use App\Models\Trip;
    use App\Models\User;
    use App\Models\Vehicle;
    use Illuminate\Contracts\Database\Query\Expression;
    use Illuminate\Contracts\Support\Arrayable;
    use Illuminate\Pagination\LengthAwarePaginator;
    use Illuminate\Pagination\Paginator;
    use Illuminate\Support\Collection;
    use LaravelIdea\Helper\_BaseBuilder;
    use LaravelIdea\Helper\_BaseCollection;
    
    /**
     * @method Customer|null getOrPut($key, \Closure $value)
     * @method Customer|$this shift(int $count = 1)
     * @method Customer|null firstOrFail(callable|string $key = null, $operator = null, $value = null)
     * @method Customer|$this pop(int $count = 1)
     * @method Customer|null pull($key, \Closure $default = null)
     * @method Customer|null last(callable|null $callback = null, \Closure $default = null)
     * @method Customer|$this random(callable|int|null $number = null, bool $preserveKeys = false)
     * @method Customer|null sole(callable|string $key = null, $operator = null, $value = null)
     * @method Customer|null get($key, \Closure $default = null)
     * @method Customer|null first(callable|null $callback = null, \Closure $default = null)
     * @method Customer|null firstWhere(callable|string $key, $operator = null, $value = null)
     * @method Customer|null find($key, $default = null)
     * @method Customer[] all()
     */
    class _IH_Customer_C extends _BaseCollection {
        /**
         * @param int $size
         * @return Customer[][]|Collection<_IH_Customer_C>
         */
        public function chunk($size)
        {
            return [];
        }
    }
    
    /**
     * @method _IH_Customer_QB whereId($value)
     * @method _IH_Customer_QB whereAdminId($value)
     * @method _IH_Customer_QB whereCriCode($value)
     * @method _IH_Customer_QB whereVerticalName($value)
     * @method _IH_Customer_QB whereInsuredName($value)
     * @method _IH_Customer_QB whereInsuredPolicyNo($value)
     * @method _IH_Customer_QB whereInsuredContactPersonName($value)
     * @method _IH_Customer_QB whereInsuredContactPersonMobileNo($value)
     * @method _IH_Customer_QB whereRmName($value)
     * @method _IH_Customer_QB whereRmMobileNo($value)
     * @method _IH_Customer_QB whereRmEmail($value)
     * @method _IH_Customer_QB whereUnderWriterName($value)
     * @method _IH_Customer_QB whereUnderWriterMobileNo($value)
     * @method _IH_Customer_QB whereUnderWriterEmail($value)
     * @method _IH_Customer_QB whereVerticalHeadName($value)
     * @method _IH_Customer_QB whereVerticalHeadMobileNo($value)
     * @method _IH_Customer_QB whereVerticalHeadEmail($value)
     * @method _IH_Customer_QB whereCreatedAt($value)
     * @method _IH_Customer_QB whereUpdatedAt($value)
     * @method Customer create(array $attributes = [])
     * @method Customer createOrFirst(array $attributes = [], array $values = [])
     * @method Customer createOrRestore(array $attributes = [], array $values = [])
     * @method Customer createQuietly(array $attributes = [])
     * @method _IH_Customer_C|Customer[] cursor()
     * @method Customer[] eagerLoadRelations(array $models)
     * @method Customer|null|_IH_Customer_C|Customer[] find($id, array|string $columns = ['*'])
     * @method _IH_Customer_C|Customer[] findMany(array|Arrayable $ids, array|string $columns = ['*'])
     * @method Customer|_IH_Customer_C|Customer[] findOr($id, \Closure|string|string[] $columns = ['*'], \Closure|null $callback = null)
     * @method Customer|_IH_Customer_C|Customer[] findOrFail($id, array|string $columns = ['*'])
     * @method Customer|_IH_Customer_C|Customer[] findOrNew($id, array|string $columns = ['*'])
     * @method Customer first(array|string $columns = ['*'])
     * @method Customer firstOr(\Closure|string[] $columns = ['*'], \Closure|null $callback = null)
     * @method Customer firstOrCreate(array $attributes = [], array $values = [])
     * @method Customer firstOrFail(array|string $columns = ['*'])
     * @method Customer firstOrNew(array $attributes = [], array $values = [])
     * @method Customer firstWhere(array|\Closure|Expression|string $column, $operator = null, $value = null, string $boolean = 'and')
     * @method Customer forceCreate(array $attributes)
     * @method Customer forceCreateQuietly(array $attributes = [])
     * @method _IH_Customer_C|Customer[] fromQuery(string $query, array $bindings = [])
     * @method _IH_Customer_C|Customer[] get(array|string $columns = ['*'])
     * @method Customer getModel()
     * @method Customer[] getModels(array|string $columns = ['*'])
     * @method _IH_Customer_C|Customer[] hydrate(array $items)
     * @method _IH_Customer_C|Customer[] lazy(int $chunkSize = 1000)
     * @method _IH_Customer_C|Customer[] lazyById(int $chunkSize = 1000, null|string $column = null, null|string $alias = null)
     * @method _IH_Customer_C|Customer[] lazyByIdDesc(int $chunkSize = 1000, null|string $column = null, null|string $alias = null)
     * @method Customer make(array $attributes = [])
     * @method Customer newModelInstance(array $attributes = [])
     * @method LengthAwarePaginator|Customer[]|_IH_Customer_C paginate(\Closure|int|null $perPage = null, array|string $columns = ['*'], string $pageName = 'page', int|null $page = null, \Closure|int|null $total = null)
     * @method Customer restoreOrCreate(array $attributes = [], array $values = [])
     * @method Paginator|Customer[]|_IH_Customer_C simplePaginate(int|null $perPage = null, array|string $columns = ['*'], string $pageName = 'page', int|null $page = null)
     * @method Customer sole(array|string $columns = ['*'])
     * @method Customer updateOrCreate(array $attributes, array $values = [])
     * @method _IH_Customer_QB filter(array|null $params = null)
     * @method _IH_Customer_QB filterBy(array|string $filters)
     * @method _IH_Customer_QB filterFields(array|string $fields)
     * @method _IH_Customer_QB renamedFilterFields(array $renamedFilterFields)
     * @method _IH_Customer_QB restrictedFilters(array|string $restrictedFilters)
     */
    class _IH_Customer_QB extends _BaseBuilder {}
    
    /**
     * @method Driver|null getOrPut($key, \Closure $value)
     * @method Driver|$this shift(int $count = 1)
     * @method Driver|null firstOrFail(callable|string $key = null, $operator = null, $value = null)
     * @method Driver|$this pop(int $count = 1)
     * @method Driver|null pull($key, \Closure $default = null)
     * @method Driver|null last(callable|null $callback = null, \Closure $default = null)
     * @method Driver|$this random(callable|int|null $number = null, bool $preserveKeys = false)
     * @method Driver|null sole(callable|string $key = null, $operator = null, $value = null)
     * @method Driver|null get($key, \Closure $default = null)
     * @method Driver|null first(callable|null $callback = null, \Closure $default = null)
     * @method Driver|null firstWhere(callable|string $key, $operator = null, $value = null)
     * @method Driver|null find($key, $default = null)
     * @method Driver[] all()
     */
    class _IH_Driver_C extends _BaseCollection {
        /**
         * @param int $size
         * @return Driver[][]|Collection<_IH_Driver_C>
         */
        public function chunk($size)
        {
            return [];
        }
    }
    
    /**
     * @method _IH_Driver_QB whereId($value)
     * @method _IH_Driver_QB whereTransporterId($value)
     * @method _IH_Driver_QB whereDlNo($value)
     * @method _IH_Driver_QB whereMobileNo($value)
     * @method _IH_Driver_QB whereNameAsPerDl($value)
     * @method _IH_Driver_QB whereDlDob($value)
     * @method _IH_Driver_QB whereDlState($value)
     * @method _IH_Driver_QB whereDlAddress($value)
     * @method _IH_Driver_QB whereValidUpto($value)
     * @method _IH_Driver_QB whereRto($value)
     * @method _IH_Driver_QB whereRtoCode($value)
     * @method _IH_Driver_QB whereVehicleClass($value)
     * @method _IH_Driver_QB whereAadhaarNo($value)
     * @method _IH_Driver_QB whereNameAsPerAadhaar($value)
     * @method _IH_Driver_QB whereAadhaarDob($value)
     * @method _IH_Driver_QB whereCountry($value)
     * @method _IH_Driver_QB whereDist($value)
     * @method _IH_Driver_QB whereHouse($value)
     * @method _IH_Driver_QB whereLandmark($value)
     * @method _IH_Driver_QB whereLoc($value)
     * @method _IH_Driver_QB wherePo($value)
     * @method _IH_Driver_QB whereAadhaarState($value)
     * @method _IH_Driver_QB whereStreet($value)
     * @method _IH_Driver_QB whereSubdist($value)
     * @method _IH_Driver_QB whereVtc($value)
     * @method _IH_Driver_QB whereCreatedAt($value)
     * @method _IH_Driver_QB whereUpdatedAt($value)
     * @method Driver create(array $attributes = [])
     * @method Driver createOrFirst(array $attributes = [], array $values = [])
     * @method Driver createOrRestore(array $attributes = [], array $values = [])
     * @method Driver createQuietly(array $attributes = [])
     * @method _IH_Driver_C|Driver[] cursor()
     * @method Driver[] eagerLoadRelations(array $models)
     * @method Driver|null|_IH_Driver_C|Driver[] find($id, array|string $columns = ['*'])
     * @method _IH_Driver_C|Driver[] findMany(array|Arrayable $ids, array|string $columns = ['*'])
     * @method Driver|_IH_Driver_C|Driver[] findOr($id, \Closure|string|string[] $columns = ['*'], \Closure|null $callback = null)
     * @method Driver|_IH_Driver_C|Driver[] findOrFail($id, array|string $columns = ['*'])
     * @method Driver|_IH_Driver_C|Driver[] findOrNew($id, array|string $columns = ['*'])
     * @method Driver first(array|string $columns = ['*'])
     * @method Driver firstOr(\Closure|string[] $columns = ['*'], \Closure|null $callback = null)
     * @method Driver firstOrCreate(array $attributes = [], array $values = [])
     * @method Driver firstOrFail(array|string $columns = ['*'])
     * @method Driver firstOrNew(array $attributes = [], array $values = [])
     * @method Driver firstWhere(array|\Closure|Expression|string $column, $operator = null, $value = null, string $boolean = 'and')
     * @method Driver forceCreate(array $attributes)
     * @method Driver forceCreateQuietly(array $attributes = [])
     * @method _IH_Driver_C|Driver[] fromQuery(string $query, array $bindings = [])
     * @method _IH_Driver_C|Driver[] get(array|string $columns = ['*'])
     * @method Driver getModel()
     * @method Driver[] getModels(array|string $columns = ['*'])
     * @method _IH_Driver_C|Driver[] hydrate(array $items)
     * @method _IH_Driver_C|Driver[] lazy(int $chunkSize = 1000)
     * @method _IH_Driver_C|Driver[] lazyById(int $chunkSize = 1000, null|string $column = null, null|string $alias = null)
     * @method _IH_Driver_C|Driver[] lazyByIdDesc(int $chunkSize = 1000, null|string $column = null, null|string $alias = null)
     * @method Driver make(array $attributes = [])
     * @method Driver newModelInstance(array $attributes = [])
     * @method LengthAwarePaginator|Driver[]|_IH_Driver_C paginate(\Closure|int|null $perPage = null, array|string $columns = ['*'], string $pageName = 'page', int|null $page = null, \Closure|int|null $total = null)
     * @method Driver restoreOrCreate(array $attributes = [], array $values = [])
     * @method Paginator|Driver[]|_IH_Driver_C simplePaginate(int|null $perPage = null, array|string $columns = ['*'], string $pageName = 'page', int|null $page = null)
     * @method Driver sole(array|string $columns = ['*'])
     * @method Driver updateOrCreate(array $attributes, array $values = [])
     * @method _IH_Driver_QB filter(array|null $params = null)
     * @method _IH_Driver_QB filterBy(array|string $filters)
     * @method _IH_Driver_QB filterFields(array|string $fields)
     * @method _IH_Driver_QB renamedFilterFields(array $renamedFilterFields)
     * @method _IH_Driver_QB restrictedFilters(array|string $restrictedFilters)
     */
    class _IH_Driver_QB extends _BaseBuilder {}
    
    /**
     * @method EPod|null getOrPut($key, \Closure $value)
     * @method EPod|$this shift(int $count = 1)
     * @method EPod|null firstOrFail(callable|string $key = null, $operator = null, $value = null)
     * @method EPod|$this pop(int $count = 1)
     * @method EPod|null pull($key, \Closure $default = null)
     * @method EPod|null last(callable|null $callback = null, \Closure $default = null)
     * @method EPod|$this random(callable|int|null $number = null, bool $preserveKeys = false)
     * @method EPod|null sole(callable|string $key = null, $operator = null, $value = null)
     * @method EPod|null get($key, \Closure $default = null)
     * @method EPod|null first(callable|null $callback = null, \Closure $default = null)
     * @method EPod|null firstWhere(callable|string $key, $operator = null, $value = null)
     * @method EPod|null find($key, $default = null)
     * @method EPod[] all()
     */
    class _IH_EPod_C extends _BaseCollection {
        /**
         * @param int $size
         * @return EPod[][]|Collection<_IH_EPod_C>
         */
        public function chunk($size)
        {
            return [];
        }
    }
    
    /**
     * @method _IH_EPod_QB whereId($value)
     * @method _IH_EPod_QB whereTripId($value)
     * @method _IH_EPod_QB whereReceiverId($value)
     * @method _IH_EPod_QB whereLatitude($value)
     * @method _IH_EPod_QB whereLongitude($value)
     * @method _IH_EPod_QB whereAreGoodsDamaged($value)
     * @method _IH_EPod_QB whereDamageType($value)
     * @method _IH_EPod_QB whereNumDamagedPieces($value)
     * @method _IH_EPod_QB whereDeliveryDate($value)
     * @method _IH_EPod_QB whereSpecialRemark($value)
     * @method _IH_EPod_QB whereFeedback($value)
     * @method _IH_EPod_QB wherePhoto1($value)
     * @method _IH_EPod_QB wherePhoto2($value)
     * @method _IH_EPod_QB wherePhoto3($value)
     * @method _IH_EPod_QB wherePhoto4($value)
     * @method _IH_EPod_QB whereVideo($value)
     * @method _IH_EPod_QB whereCreatedAt($value)
     * @method _IH_EPod_QB whereUpdatedAt($value)
     * @method EPod create(array $attributes = [])
     * @method EPod createOrFirst(array $attributes = [], array $values = [])
     * @method EPod createOrRestore(array $attributes = [], array $values = [])
     * @method EPod createQuietly(array $attributes = [])
     * @method _IH_EPod_C|EPod[] cursor()
     * @method EPod[] eagerLoadRelations(array $models)
     * @method EPod|null|_IH_EPod_C|EPod[] find($id, array|string $columns = ['*'])
     * @method _IH_EPod_C|EPod[] findMany(array|Arrayable $ids, array|string $columns = ['*'])
     * @method EPod|_IH_EPod_C|EPod[] findOr($id, \Closure|string|string[] $columns = ['*'], \Closure|null $callback = null)
     * @method EPod|_IH_EPod_C|EPod[] findOrFail($id, array|string $columns = ['*'])
     * @method EPod|_IH_EPod_C|EPod[] findOrNew($id, array|string $columns = ['*'])
     * @method EPod first(array|string $columns = ['*'])
     * @method EPod firstOr(\Closure|string[] $columns = ['*'], \Closure|null $callback = null)
     * @method EPod firstOrCreate(array $attributes = [], array $values = [])
     * @method EPod firstOrFail(array|string $columns = ['*'])
     * @method EPod firstOrNew(array $attributes = [], array $values = [])
     * @method EPod firstWhere(array|\Closure|Expression|string $column, $operator = null, $value = null, string $boolean = 'and')
     * @method EPod forceCreate(array $attributes)
     * @method EPod forceCreateQuietly(array $attributes = [])
     * @method _IH_EPod_C|EPod[] fromQuery(string $query, array $bindings = [])
     * @method _IH_EPod_C|EPod[] get(array|string $columns = ['*'])
     * @method EPod getModel()
     * @method EPod[] getModels(array|string $columns = ['*'])
     * @method _IH_EPod_C|EPod[] hydrate(array $items)
     * @method _IH_EPod_C|EPod[] lazy(int $chunkSize = 1000)
     * @method _IH_EPod_C|EPod[] lazyById(int $chunkSize = 1000, null|string $column = null, null|string $alias = null)
     * @method _IH_EPod_C|EPod[] lazyByIdDesc(int $chunkSize = 1000, null|string $column = null, null|string $alias = null)
     * @method EPod make(array $attributes = [])
     * @method EPod newModelInstance(array $attributes = [])
     * @method LengthAwarePaginator|EPod[]|_IH_EPod_C paginate(\Closure|int|null $perPage = null, array|string $columns = ['*'], string $pageName = 'page', int|null $page = null, \Closure|int|null $total = null)
     * @method EPod restoreOrCreate(array $attributes = [], array $values = [])
     * @method Paginator|EPod[]|_IH_EPod_C simplePaginate(int|null $perPage = null, array|string $columns = ['*'], string $pageName = 'page', int|null $page = null)
     * @method EPod sole(array|string $columns = ['*'])
     * @method EPod updateOrCreate(array $attributes, array $values = [])
     * @method _IH_EPod_QB filter(array|null $params = null)
     * @method _IH_EPod_QB filterBy(array|string $filters)
     * @method _IH_EPod_QB filterFields(array|string $fields)
     * @method _IH_EPod_QB renamedFilterFields(array $renamedFilterFields)
     * @method _IH_EPod_QB restrictedFilters(array|string $restrictedFilters)
     */
    class _IH_EPod_QB extends _BaseBuilder {}
    
    /**
     * @method Transporter|null getOrPut($key, \Closure $value)
     * @method Transporter|$this shift(int $count = 1)
     * @method Transporter|null firstOrFail(callable|string $key = null, $operator = null, $value = null)
     * @method Transporter|$this pop(int $count = 1)
     * @method Transporter|null pull($key, \Closure $default = null)
     * @method Transporter|null last(callable|null $callback = null, \Closure $default = null)
     * @method Transporter|$this random(callable|int|null $number = null, bool $preserveKeys = false)
     * @method Transporter|null sole(callable|string $key = null, $operator = null, $value = null)
     * @method Transporter|null get($key, \Closure $default = null)
     * @method Transporter|null first(callable|null $callback = null, \Closure $default = null)
     * @method Transporter|null firstWhere(callable|string $key, $operator = null, $value = null)
     * @method Transporter|null find($key, $default = null)
     * @method Transporter[] all()
     */
    class _IH_Transporter_C extends _BaseCollection {
        /**
         * @param int $size
         * @return Transporter[][]|Collection<_IH_Transporter_C>
         */
        public function chunk($size)
        {
            return [];
        }
    }
    
    /**
     * @method _IH_Transporter_QB whereId($value)
     * @method _IH_Transporter_QB whereCreatedById($value)
     * @method _IH_Transporter_QB whereCustomerId($value)
     * @method _IH_Transporter_QB whereTransporterCode($value)
     * @method _IH_Transporter_QB whereName($value)
     * @method _IH_Transporter_QB whereEmail($value)
     * @method _IH_Transporter_QB whereMobileNo1($value)
     * @method _IH_Transporter_QB whereMobileNo2($value)
     * @method _IH_Transporter_QB whereAddress($value)
     * @method _IH_Transporter_QB whereState($value)
     * @method _IH_Transporter_QB whereCreatedAt($value)
     * @method _IH_Transporter_QB whereUpdatedAt($value)
     * @method Transporter create(array $attributes = [])
     * @method Transporter createOrFirst(array $attributes = [], array $values = [])
     * @method Transporter createOrRestore(array $attributes = [], array $values = [])
     * @method Transporter createQuietly(array $attributes = [])
     * @method _IH_Transporter_C|Transporter[] cursor()
     * @method Transporter[] eagerLoadRelations(array $models)
     * @method Transporter|null|_IH_Transporter_C|Transporter[] find($id, array|string $columns = ['*'])
     * @method _IH_Transporter_C|Transporter[] findMany(array|Arrayable $ids, array|string $columns = ['*'])
     * @method Transporter|_IH_Transporter_C|Transporter[] findOr($id, \Closure|string|string[] $columns = ['*'], \Closure|null $callback = null)
     * @method Transporter|_IH_Transporter_C|Transporter[] findOrFail($id, array|string $columns = ['*'])
     * @method Transporter|_IH_Transporter_C|Transporter[] findOrNew($id, array|string $columns = ['*'])
     * @method Transporter first(array|string $columns = ['*'])
     * @method Transporter firstOr(\Closure|string[] $columns = ['*'], \Closure|null $callback = null)
     * @method Transporter firstOrCreate(array $attributes = [], array $values = [])
     * @method Transporter firstOrFail(array|string $columns = ['*'])
     * @method Transporter firstOrNew(array $attributes = [], array $values = [])
     * @method Transporter firstWhere(array|\Closure|Expression|string $column, $operator = null, $value = null, string $boolean = 'and')
     * @method Transporter forceCreate(array $attributes)
     * @method Transporter forceCreateQuietly(array $attributes = [])
     * @method _IH_Transporter_C|Transporter[] fromQuery(string $query, array $bindings = [])
     * @method _IH_Transporter_C|Transporter[] get(array|string $columns = ['*'])
     * @method Transporter getModel()
     * @method Transporter[] getModels(array|string $columns = ['*'])
     * @method _IH_Transporter_C|Transporter[] hydrate(array $items)
     * @method _IH_Transporter_C|Transporter[] lazy(int $chunkSize = 1000)
     * @method _IH_Transporter_C|Transporter[] lazyById(int $chunkSize = 1000, null|string $column = null, null|string $alias = null)
     * @method _IH_Transporter_C|Transporter[] lazyByIdDesc(int $chunkSize = 1000, null|string $column = null, null|string $alias = null)
     * @method Transporter make(array $attributes = [])
     * @method Transporter newModelInstance(array $attributes = [])
     * @method LengthAwarePaginator|Transporter[]|_IH_Transporter_C paginate(\Closure|int|null $perPage = null, array|string $columns = ['*'], string $pageName = 'page', int|null $page = null, \Closure|int|null $total = null)
     * @method Transporter restoreOrCreate(array $attributes = [], array $values = [])
     * @method Paginator|Transporter[]|_IH_Transporter_C simplePaginate(int|null $perPage = null, array|string $columns = ['*'], string $pageName = 'page', int|null $page = null)
     * @method Transporter sole(array|string $columns = ['*'])
     * @method Transporter updateOrCreate(array $attributes, array $values = [])
     * @method _IH_Transporter_QB filter(array|null $params = null)
     * @method _IH_Transporter_QB filterBy(array|string $filters)
     * @method _IH_Transporter_QB filterFields(array|string $fields)
     * @method _IH_Transporter_QB renamedFilterFields(array $renamedFilterFields)
     * @method _IH_Transporter_QB restrictedFilters(array|string $restrictedFilters)
     */
    class _IH_Transporter_QB extends _BaseBuilder {}
    
    /**
     * @method Trip|null getOrPut($key, \Closure $value)
     * @method Trip|$this shift(int $count = 1)
     * @method Trip|null firstOrFail(callable|string $key = null, $operator = null, $value = null)
     * @method Trip|$this pop(int $count = 1)
     * @method Trip|null pull($key, \Closure $default = null)
     * @method Trip|null last(callable|null $callback = null, \Closure $default = null)
     * @method Trip|$this random(callable|int|null $number = null, bool $preserveKeys = false)
     * @method Trip|null sole(callable|string $key = null, $operator = null, $value = null)
     * @method Trip|null get($key, \Closure $default = null)
     * @method Trip|null first(callable|null $callback = null, \Closure $default = null)
     * @method Trip|null firstWhere(callable|string $key, $operator = null, $value = null)
     * @method Trip|null find($key, $default = null)
     * @method Trip[] all()
     */
    class _IH_Trip_C extends _BaseCollection {
        /**
         * @param int $size
         * @return Trip[][]|Collection<_IH_Trip_C>
         */
        public function chunk($size)
        {
            return [];
        }
    }
    
    /**
     * @method _IH_Trip_QB whereId($value)
     * @method _IH_Trip_QB whereDispatcherId($value)
     * @method _IH_Trip_QB whereReceiverId($value)
     * @method _IH_Trip_QB whereTransporterId($value)
     * @method _IH_Trip_QB whereVehicleId($value)
     * @method _IH_Trip_QB whereDriverId($value)
     * @method _IH_Trip_QB whereIsChassisNoVerified($value)
     * @method _IH_Trip_QB whereIsEngineNoVerified($value)
     * @method _IH_Trip_QB whereIsMakeVerified($value)
     * @method _IH_Trip_QB whereIsModelVerified($value)
     * @method _IH_Trip_QB whereIsCarryingCapacityVerified($value)
     * @method _IH_Trip_QB whereIsVehicleTypeVerified($value)
     * @method _IH_Trip_QB whereIsAadhaarVerified($value)
     * @method _IH_Trip_QB whereIsDlVerified($value)
     * @method _IH_Trip_QB whereIsDobVerified($value)
     * @method _IH_Trip_QB whereIsAddressVerified($value)
     * @method _IH_Trip_QB whereIsMobileNoVerified($value)
     * @method _IH_Trip_QB whereDobRemark($value)
     * @method _IH_Trip_QB whereAddressRemark($value)
     * @method _IH_Trip_QB whereTripCode($value)
     * @method _IH_Trip_QB whereConsignorName($value)
     * @method _IH_Trip_QB whereConsigneeName($value)
     * @method _IH_Trip_QB whereFastTagId($value)
     * @method _IH_Trip_QB whereDispatchLocation($value)
     * @method _IH_Trip_QB whereDispatchPincode($value)
     * @method _IH_Trip_QB whereDestinationLocation($value)
     * @method _IH_Trip_QB whereDestinationPincode($value)
     * @method _IH_Trip_QB whereLatitude($value)
     * @method _IH_Trip_QB whereLongitude($value)
     * @method _IH_Trip_QB whereGoodsDescription($value)
     * @method _IH_Trip_QB whereEta($value)
     * @method _IH_Trip_QB whereDistance($value)
     * @method _IH_Trip_QB whereIsEPodCreated($value)
     * @method _IH_Trip_QB whereStatus($value)
     * @method _IH_Trip_QB whereCreatedAt($value)
     * @method _IH_Trip_QB whereUpdatedAt($value)
     * @method Trip create(array $attributes = [])
     * @method Trip createOrFirst(array $attributes = [], array $values = [])
     * @method Trip createOrRestore(array $attributes = [], array $values = [])
     * @method Trip createQuietly(array $attributes = [])
     * @method _IH_Trip_C|Trip[] cursor()
     * @method Trip[] eagerLoadRelations(array $models)
     * @method Trip|null|_IH_Trip_C|Trip[] find($id, array|string $columns = ['*'])
     * @method _IH_Trip_C|Trip[] findMany(array|Arrayable $ids, array|string $columns = ['*'])
     * @method Trip|_IH_Trip_C|Trip[] findOr($id, \Closure|string|string[] $columns = ['*'], \Closure|null $callback = null)
     * @method Trip|_IH_Trip_C|Trip[] findOrFail($id, array|string $columns = ['*'])
     * @method Trip|_IH_Trip_C|Trip[] findOrNew($id, array|string $columns = ['*'])
     * @method Trip first(array|string $columns = ['*'])
     * @method Trip firstOr(\Closure|string[] $columns = ['*'], \Closure|null $callback = null)
     * @method Trip firstOrCreate(array $attributes = [], array $values = [])
     * @method Trip firstOrFail(array|string $columns = ['*'])
     * @method Trip firstOrNew(array $attributes = [], array $values = [])
     * @method Trip firstWhere(array|\Closure|Expression|string $column, $operator = null, $value = null, string $boolean = 'and')
     * @method Trip forceCreate(array $attributes)
     * @method Trip forceCreateQuietly(array $attributes = [])
     * @method _IH_Trip_C|Trip[] fromQuery(string $query, array $bindings = [])
     * @method _IH_Trip_C|Trip[] get(array|string $columns = ['*'])
     * @method Trip getModel()
     * @method Trip[] getModels(array|string $columns = ['*'])
     * @method _IH_Trip_C|Trip[] hydrate(array $items)
     * @method _IH_Trip_C|Trip[] lazy(int $chunkSize = 1000)
     * @method _IH_Trip_C|Trip[] lazyById(int $chunkSize = 1000, null|string $column = null, null|string $alias = null)
     * @method _IH_Trip_C|Trip[] lazyByIdDesc(int $chunkSize = 1000, null|string $column = null, null|string $alias = null)
     * @method Trip make(array $attributes = [])
     * @method Trip newModelInstance(array $attributes = [])
     * @method LengthAwarePaginator|Trip[]|_IH_Trip_C paginate(\Closure|int|null $perPage = null, array|string $columns = ['*'], string $pageName = 'page', int|null $page = null, \Closure|int|null $total = null)
     * @method Trip restoreOrCreate(array $attributes = [], array $values = [])
     * @method Paginator|Trip[]|_IH_Trip_C simplePaginate(int|null $perPage = null, array|string $columns = ['*'], string $pageName = 'page', int|null $page = null)
     * @method Trip sole(array|string $columns = ['*'])
     * @method Trip updateOrCreate(array $attributes, array $values = [])
     * @method _IH_Trip_QB filter(array|null $params = null)
     * @method _IH_Trip_QB filterBy(array|string $filters)
     * @method _IH_Trip_QB filterFields(array|string $fields)
     * @method _IH_Trip_QB renamedFilterFields(array $renamedFilterFields)
     * @method _IH_Trip_QB restrictedFilters(array|string $restrictedFilters)
     */
    class _IH_Trip_QB extends _BaseBuilder {}
    
    /**
     * @method User|null getOrPut($key, \Closure $value)
     * @method User|$this shift(int $count = 1)
     * @method User|null firstOrFail(callable|string $key = null, $operator = null, $value = null)
     * @method User|$this pop(int $count = 1)
     * @method User|null pull($key, \Closure $default = null)
     * @method User|null last(callable|null $callback = null, \Closure $default = null)
     * @method User|$this random(callable|int|null $number = null, bool $preserveKeys = false)
     * @method User|null sole(callable|string $key = null, $operator = null, $value = null)
     * @method User|null get($key, \Closure $default = null)
     * @method User|null first(callable|null $callback = null, \Closure $default = null)
     * @method User|null firstWhere(callable|string $key, $operator = null, $value = null)
     * @method User|null find($key, $default = null)
     * @method User[] all()
     */
    class _IH_User_C extends _BaseCollection {
        /**
         * @param int $size
         * @return User[][]|Collection<_IH_User_C>
         */
        public function chunk($size)
        {
            return [];
        }
    }
    
    /**
     * @method _IH_User_QB whereId($value)
     * @method _IH_User_QB whereName($value)
     * @method _IH_User_QB whereEmail($value)
     * @method _IH_User_QB whereEmailVerifiedAt($value)
     * @method _IH_User_QB whereMobileNo($value)
     * @method _IH_User_QB wherePassword($value)
     * @method _IH_User_QB whereRole($value)
     * @method _IH_User_QB whereStatus($value)
     * @method _IH_User_QB whereLastLoginAt($value)
     * @method _IH_User_QB wherePhoto($value)
     * @method _IH_User_QB whereRememberToken($value)
     * @method _IH_User_QB whereCreatedAt($value)
     * @method _IH_User_QB whereUpdatedAt($value)
     * @method User create(array $attributes = [])
     * @method User createOrFirst(array $attributes = [], array $values = [])
     * @method User createOrRestore(array $attributes = [], array $values = [])
     * @method User createQuietly(array $attributes = [])
     * @method _IH_User_C|User[] cursor()
     * @method User[] eagerLoadRelations(array $models)
     * @method User|null|_IH_User_C|User[] find($id, array|string $columns = ['*'])
     * @method _IH_User_C|User[] findMany(array|Arrayable $ids, array|string $columns = ['*'])
     * @method User|_IH_User_C|User[] findOr($id, \Closure|string|string[] $columns = ['*'], \Closure|null $callback = null)
     * @method User|_IH_User_C|User[] findOrFail($id, array|string $columns = ['*'])
     * @method User|_IH_User_C|User[] findOrNew($id, array|string $columns = ['*'])
     * @method User first(array|string $columns = ['*'])
     * @method User firstOr(\Closure|string[] $columns = ['*'], \Closure|null $callback = null)
     * @method User firstOrCreate(array $attributes = [], array $values = [])
     * @method User firstOrFail(array|string $columns = ['*'])
     * @method User firstOrNew(array $attributes = [], array $values = [])
     * @method User firstWhere(array|\Closure|Expression|string $column, $operator = null, $value = null, string $boolean = 'and')
     * @method User forceCreate(array $attributes)
     * @method User forceCreateQuietly(array $attributes = [])
     * @method _IH_User_C|User[] fromQuery(string $query, array $bindings = [])
     * @method _IH_User_C|User[] get(array|string $columns = ['*'])
     * @method User getModel()
     * @method User[] getModels(array|string $columns = ['*'])
     * @method _IH_User_C|User[] hydrate(array $items)
     * @method _IH_User_C|User[] lazy(int $chunkSize = 1000)
     * @method _IH_User_C|User[] lazyById(int $chunkSize = 1000, null|string $column = null, null|string $alias = null)
     * @method _IH_User_C|User[] lazyByIdDesc(int $chunkSize = 1000, null|string $column = null, null|string $alias = null)
     * @method User make(array $attributes = [])
     * @method User newModelInstance(array $attributes = [])
     * @method LengthAwarePaginator|User[]|_IH_User_C paginate(\Closure|int|null $perPage = null, array|string $columns = ['*'], string $pageName = 'page', int|null $page = null, \Closure|int|null $total = null)
     * @method User restoreOrCreate(array $attributes = [], array $values = [])
     * @method Paginator|User[]|_IH_User_C simplePaginate(int|null $perPage = null, array|string $columns = ['*'], string $pageName = 'page', int|null $page = null)
     * @method User sole(array|string $columns = ['*'])
     * @method User updateOrCreate(array $attributes, array $values = [])
     * @method _IH_User_QB filter(array|null $params = null)
     * @method _IH_User_QB filterBy(array|string $filters)
     * @method _IH_User_QB filterFields(array|string $fields)
     * @method _IH_User_QB renamedFilterFields(array $renamedFilterFields)
     * @method _IH_User_QB restrictedFilters(array|string $restrictedFilters)
     */
    class _IH_User_QB extends _BaseBuilder {}
    
    /**
     * @method Vehicle|null getOrPut($key, \Closure $value)
     * @method Vehicle|$this shift(int $count = 1)
     * @method Vehicle|null firstOrFail(callable|string $key = null, $operator = null, $value = null)
     * @method Vehicle|$this pop(int $count = 1)
     * @method Vehicle|null pull($key, \Closure $default = null)
     * @method Vehicle|null last(callable|null $callback = null, \Closure $default = null)
     * @method Vehicle|$this random(callable|int|null $number = null, bool $preserveKeys = false)
     * @method Vehicle|null sole(callable|string $key = null, $operator = null, $value = null)
     * @method Vehicle|null get($key, \Closure $default = null)
     * @method Vehicle|null first(callable|null $callback = null, \Closure $default = null)
     * @method Vehicle|null firstWhere(callable|string $key, $operator = null, $value = null)
     * @method Vehicle|null find($key, $default = null)
     * @method Vehicle[] all()
     */
    class _IH_Vehicle_C extends _BaseCollection {
        /**
         * @param int $size
         * @return Vehicle[][]|Collection<_IH_Vehicle_C>
         */
        public function chunk($size)
        {
            return [];
        }
    }
    
    /**
     * @method _IH_Vehicle_QB whereId($value)
     * @method _IH_Vehicle_QB whereTransporterId($value)
     * @method _IH_Vehicle_QB whereVehicleRegistrationNo($value)
     * @method _IH_Vehicle_QB whereChassisNo($value)
     * @method _IH_Vehicle_QB whereEngineNo($value)
     * @method _IH_Vehicle_QB whereMake($value)
     * @method _IH_Vehicle_QB whereModel($value)
     * @method _IH_Vehicle_QB whereVehicleOwnerName($value)
     * @method _IH_Vehicle_QB whereVehicleType($value)
     * @method _IH_Vehicle_QB whereCarryingCapacity($value)
     * @method _IH_Vehicle_QB whereFitnessUpto($value)
     * @method _IH_Vehicle_QB whereInsuranceUpto($value)
     * @method _IH_Vehicle_QB wherePuccUpto($value)
     * @method _IH_Vehicle_QB whereCreatedAt($value)
     * @method _IH_Vehicle_QB whereUpdatedAt($value)
     * @method Vehicle create(array $attributes = [])
     * @method Vehicle createOrFirst(array $attributes = [], array $values = [])
     * @method Vehicle createOrRestore(array $attributes = [], array $values = [])
     * @method Vehicle createQuietly(array $attributes = [])
     * @method _IH_Vehicle_C|Vehicle[] cursor()
     * @method Vehicle[] eagerLoadRelations(array $models)
     * @method Vehicle|null|_IH_Vehicle_C|Vehicle[] find($id, array|string $columns = ['*'])
     * @method _IH_Vehicle_C|Vehicle[] findMany(array|Arrayable $ids, array|string $columns = ['*'])
     * @method Vehicle|_IH_Vehicle_C|Vehicle[] findOr($id, \Closure|string|string[] $columns = ['*'], \Closure|null $callback = null)
     * @method Vehicle|_IH_Vehicle_C|Vehicle[] findOrFail($id, array|string $columns = ['*'])
     * @method Vehicle|_IH_Vehicle_C|Vehicle[] findOrNew($id, array|string $columns = ['*'])
     * @method Vehicle first(array|string $columns = ['*'])
     * @method Vehicle firstOr(\Closure|string[] $columns = ['*'], \Closure|null $callback = null)
     * @method Vehicle firstOrCreate(array $attributes = [], array $values = [])
     * @method Vehicle firstOrFail(array|string $columns = ['*'])
     * @method Vehicle firstOrNew(array $attributes = [], array $values = [])
     * @method Vehicle firstWhere(array|\Closure|Expression|string $column, $operator = null, $value = null, string $boolean = 'and')
     * @method Vehicle forceCreate(array $attributes)
     * @method Vehicle forceCreateQuietly(array $attributes = [])
     * @method _IH_Vehicle_C|Vehicle[] fromQuery(string $query, array $bindings = [])
     * @method _IH_Vehicle_C|Vehicle[] get(array|string $columns = ['*'])
     * @method Vehicle getModel()
     * @method Vehicle[] getModels(array|string $columns = ['*'])
     * @method _IH_Vehicle_C|Vehicle[] hydrate(array $items)
     * @method _IH_Vehicle_C|Vehicle[] lazy(int $chunkSize = 1000)
     * @method _IH_Vehicle_C|Vehicle[] lazyById(int $chunkSize = 1000, null|string $column = null, null|string $alias = null)
     * @method _IH_Vehicle_C|Vehicle[] lazyByIdDesc(int $chunkSize = 1000, null|string $column = null, null|string $alias = null)
     * @method Vehicle make(array $attributes = [])
     * @method Vehicle newModelInstance(array $attributes = [])
     * @method LengthAwarePaginator|Vehicle[]|_IH_Vehicle_C paginate(\Closure|int|null $perPage = null, array|string $columns = ['*'], string $pageName = 'page', int|null $page = null, \Closure|int|null $total = null)
     * @method Vehicle restoreOrCreate(array $attributes = [], array $values = [])
     * @method Paginator|Vehicle[]|_IH_Vehicle_C simplePaginate(int|null $perPage = null, array|string $columns = ['*'], string $pageName = 'page', int|null $page = null)
     * @method Vehicle sole(array|string $columns = ['*'])
     * @method Vehicle updateOrCreate(array $attributes, array $values = [])
     * @method _IH_Vehicle_QB filter(array|null $params = null)
     * @method _IH_Vehicle_QB filterBy(array|string $filters)
     * @method _IH_Vehicle_QB filterFields(array|string $fields)
     * @method _IH_Vehicle_QB renamedFilterFields(array $renamedFilterFields)
     * @method _IH_Vehicle_QB restrictedFilters(array|string $restrictedFilters)
     */
    class _IH_Vehicle_QB extends _BaseBuilder {}
}