<?php //3ad8c4824efa59fae851bdfae45b3064
/** @noinspection all */

namespace App\Models {

    use Database\Factories\CustomerFactory;
    use Database\Factories\DriverFactory;
    use Database\Factories\EpodFactory;
    use Database\Factories\TransporterFactory;
    use Database\Factories\TripFactory;
    use Database\Factories\UserFactory;
    use Database\Factories\VehicleFactory;
    use Illuminate\Database\Eloquent\Model;
    use Illuminate\Database\Eloquent\Relations\BelongsTo;
    use Illuminate\Database\Eloquent\Relations\HasMany;
    use Illuminate\Database\Eloquent\Relations\HasOne;
    use Illuminate\Database\Eloquent\Relations\MorphToMany;
    use Illuminate\Notifications\DatabaseNotification;
    use Illuminate\Notifications\DatabaseNotificationCollection;
    use Illuminate\Support\Carbon;
    use Laravel\Sanctum\PersonalAccessToken;
    use LaravelIdea\Helper\App\Models\_IH_Customer_C;
    use LaravelIdea\Helper\App\Models\_IH_Customer_QB;
    use LaravelIdea\Helper\App\Models\_IH_Driver_C;
    use LaravelIdea\Helper\App\Models\_IH_Driver_QB;
    use LaravelIdea\Helper\App\Models\_IH_EPod_C;
    use LaravelIdea\Helper\App\Models\_IH_EPod_QB;
    use LaravelIdea\Helper\App\Models\_IH_Transporter_C;
    use LaravelIdea\Helper\App\Models\_IH_Transporter_QB;
    use LaravelIdea\Helper\App\Models\_IH_Trip_C;
    use LaravelIdea\Helper\App\Models\_IH_Trip_QB;
    use LaravelIdea\Helper\App\Models\_IH_User_C;
    use LaravelIdea\Helper\App\Models\_IH_User_QB;
    use LaravelIdea\Helper\App\Models\_IH_Vehicle_C;
    use LaravelIdea\Helper\App\Models\_IH_Vehicle_QB;
    use LaravelIdea\Helper\Illuminate\Notifications\_IH_DatabaseNotification_QB;
    use LaravelIdea\Helper\Laravel\Sanctum\_IH_PersonalAccessToken_C;
    use LaravelIdea\Helper\Laravel\Sanctum\_IH_PersonalAccessToken_QB;
    
    /**
     * @property int $id
     * @property int|null $admin_id
     * @property string $cri_code
     * @property string $vertical_name
     * @property string $insured_name
     * @property string $insured_policy_no
     * @property string $insured_contact_person_name
     * @property string $insured_contact_person_mobile_no
     * @property string $rm_name
     * @property string $rm_mobile_no
     * @property string $rm_email
     * @property string $under_writer_name
     * @property string $under_writer_mobile_no
     * @property string $under_writer_email
     * @property string $vertical_head_name
     * @property string $vertical_head_mobile_no
     * @property string $vertical_head_email
     * @property Carbon|null $created_at
     * @property Carbon|null $updated_at
     * @property User|null $admin
     * @method BelongsTo|_IH_User_QB admin()
     * @property _IH_Transporter_C|Transporter[] $transporters
     * @property-read int $transporters_count
     * @method HasMany|_IH_Transporter_QB transporters()
     * @method static _IH_Customer_QB onWriteConnection()
     * @method _IH_Customer_QB newQuery()
     * @method static _IH_Customer_QB on(null|string $connection = null)
     * @method static _IH_Customer_QB query()
     * @method static _IH_Customer_QB with(array|string $relations)
     * @method _IH_Customer_QB newModelQuery()
     * @method false|int increment(string $column, float|int $amount = 1, array $extra = [])
     * @method false|int decrement(string $column, float|int $amount = 1, array $extra = [])
     * @method static _IH_Customer_C|Customer[] all()
     * @ownLinks admin_id,\App\Models\User,id
     * @foreignLinks id,\App\Models\Transporter,customer_id
     * @mixin _IH_Customer_QB
     * @method static CustomerFactory factory(callable|int|mixed[]|null $count = null, callable|mixed[] $state = [])
     */
    class Customer extends Model {}
    
    /**
     * @property int $id
     * @property int $transporter_id
     * @property string $dl_no
     * @property string $mobile_no
     * @property string|null $name_as_per_dl
     * @property Carbon|null $dl_dob
     * @property string|null $dl_state
     * @property string|null $dl_address
     * @property Carbon|null $valid_upto
     * @property string|null $rto
     * @property string|null $rto_code
     * @property string|null $vehicle_class
     * @property string $aadhaar_no
     * @property string|null $name_as_per_aadhaar
     * @property Carbon|null $aadhaar_dob
     * @property string|null $country
     * @property string|null $dist
     * @property string|null $house
     * @property string|null $landmark
     * @property string|null $loc
     * @property string|null $po
     * @property string|null $aadhaar_state
     * @property string|null $street
     * @property string|null $subdist
     * @property string|null $vtc
     * @property Carbon|null $created_at
     * @property Carbon|null $updated_at
     * @property Transporter $transporter
     * @method BelongsTo|_IH_Transporter_QB transporter()
     * @property _IH_Trip_C|Trip[] $trips
     * @property-read int $trips_count
     * @method HasMany|_IH_Trip_QB trips()
     * @method static _IH_Driver_QB onWriteConnection()
     * @method _IH_Driver_QB newQuery()
     * @method static _IH_Driver_QB on(null|string $connection = null)
     * @method static _IH_Driver_QB query()
     * @method static _IH_Driver_QB with(array|string $relations)
     * @method _IH_Driver_QB newModelQuery()
     * @method false|int increment(string $column, float|int $amount = 1, array $extra = [])
     * @method false|int decrement(string $column, float|int $amount = 1, array $extra = [])
     * @method static _IH_Driver_C|Driver[] all()
     * @ownLinks transporter_id,\App\Models\Transporter,id
     * @foreignLinks id,\App\Models\Trip,driver_id
     * @mixin _IH_Driver_QB
     * @method static DriverFactory factory(callable|int|mixed[]|null $count = null, callable|mixed[] $state = [])
     */
    class Driver extends Model {}
    
    /**
     * @property int $id
     * @property int $trip_id
     * @property int $receiver_id
     * @property float $latitude
     * @property float $longitude
     * @property string $are_goods_damaged
     * @property string|null $damage_type
     * @property int|null $num_damaged_pieces
     * @property Carbon $delivery_date
     * @property string|null $special_remark
     * @property int $feedback
     * @property string|null $photo_1
     * @property string|null $photo_2
     * @property string|null $photo_3
     * @property string|null $photo_4
     * @property string|null $video
     * @property Carbon|null $created_at
     * @property Carbon|null $updated_at
     * @property User $receiver
     * @method BelongsTo|_IH_User_QB receiver()
     * @property Trip $trip
     * @method BelongsTo|_IH_Trip_QB trip()
     * @method static _IH_EPod_QB onWriteConnection()
     * @method _IH_EPod_QB newQuery()
     * @method static _IH_EPod_QB on(null|string $connection = null)
     * @method static _IH_EPod_QB query()
     * @method static _IH_EPod_QB with(array|string $relations)
     * @method _IH_EPod_QB newModelQuery()
     * @method false|int increment(string $column, float|int $amount = 1, array $extra = [])
     * @method false|int decrement(string $column, float|int $amount = 1, array $extra = [])
     * @method static _IH_EPod_C|EPod[] all()
     * @ownLinks trip_id,\App\Models\Trip,id|receiver_id,\App\Models\User,id
     * @mixin _IH_EPod_QB
     * @method static EpodFactory factory(callable|int|mixed[]|null $count = null, callable|mixed[] $state = [])
     */
    class EPod extends Model {}
    
    /**
     * @property int $id
     * @property int $created_by_id
     * @property int $customer_id
     * @property string $transporter_code
     * @property string $name
     * @property string $email
     * @property string $mobile_no_1
     * @property string|null $mobile_no_2
     * @property string $address
     * @property string $state
     * @property Carbon|null $created_at
     * @property Carbon|null $updated_at
     * @property User $createdBy
     * @method BelongsTo|_IH_User_QB createdBy()
     * @property Customer $customer
     * @method BelongsTo|_IH_Customer_QB customer()
     * @property _IH_Driver_C|Driver[] $drivers
     * @property-read int $drivers_count
     * @method HasMany|_IH_Driver_QB drivers()
     * @property _IH_Trip_C|Trip[] $trips
     * @property-read int $trips_count
     * @method HasMany|_IH_Trip_QB trips()
     * @property _IH_Vehicle_C|Vehicle[] $vehicles
     * @property-read int $vehicles_count
     * @method HasMany|_IH_Vehicle_QB vehicles()
     * @method static _IH_Transporter_QB onWriteConnection()
     * @method _IH_Transporter_QB newQuery()
     * @method static _IH_Transporter_QB on(null|string $connection = null)
     * @method static _IH_Transporter_QB query()
     * @method static _IH_Transporter_QB with(array|string $relations)
     * @method _IH_Transporter_QB newModelQuery()
     * @method false|int increment(string $column, float|int $amount = 1, array $extra = [])
     * @method false|int decrement(string $column, float|int $amount = 1, array $extra = [])
     * @method static _IH_Transporter_C|Transporter[] all()
     * @ownLinks created_by_id,\App\Models\User,id|customer_id,\App\Models\Customer,id
     * @foreignLinks id,\App\Models\Vehicle,transporter_id|id,\App\Models\Driver,transporter_id|id,\App\Models\Trip,transporter_id
     * @mixin _IH_Transporter_QB
     * @method static TransporterFactory factory(callable|int|mixed[]|null $count = null, callable|mixed[] $state = [])
     */
    class Transporter extends Model {}
    
    /**
     * @property int $id
     * @property int $dispatcher_id
     * @property int $receiver_id
     * @property int $transporter_id
     * @property int $vehicle_id
     * @property int $driver_id
     * @property bool $is_chassis_no_verified
     * @property bool $is_engine_no_verified
     * @property bool $is_make_verified
     * @property bool $is_model_verified
     * @property bool $is_carrying_capacity_verified
     * @property bool $is_vehicle_type_verified
     * @property bool $is_aadhaar_verified
     * @property bool $is_dl_verified
     * @property bool $is_dob_verified
     * @property bool $is_address_verified
     * @property bool $is_mobile_No_verified
     * @property string|null $dob_remark
     * @property string|null $address_remark
     * @property string $trip_code
     * @property string $consignor_name
     * @property string $consignee_name
     * @property string|null $fast_tag_id
     * @property string $dispatch_location
     * @property string $dispatch_pincode
     * @property string $destination_location
     * @property string $destination_pincode
     * @property float $latitude
     * @property float $longitude
     * @property string|null $goods_description
     * @property Carbon $eta
     * @property float $distance
     * @property bool $is_e_pod_created
     * @property string $status
     * @property Carbon|null $created_at
     * @property Carbon|null $updated_at
     * @property User $dispatcher
     * @method BelongsTo|_IH_User_QB dispatcher()
     * @property Driver $driver
     * @method BelongsTo|_IH_Driver_QB driver()
     * @property EPod $ePod
     * @method HasOne|_IH_EPod_QB ePod()
     * @property User $receiver
     * @method BelongsTo|_IH_User_QB receiver()
     * @property Transporter $transporter
     * @method BelongsTo|_IH_Transporter_QB transporter()
     * @property Vehicle $vehicle
     * @method BelongsTo|_IH_Vehicle_QB vehicle()
     * @method static _IH_Trip_QB onWriteConnection()
     * @method _IH_Trip_QB newQuery()
     * @method static _IH_Trip_QB on(null|string $connection = null)
     * @method static _IH_Trip_QB query()
     * @method static _IH_Trip_QB with(array|string $relations)
     * @method _IH_Trip_QB newModelQuery()
     * @method false|int increment(string $column, float|int $amount = 1, array $extra = [])
     * @method false|int decrement(string $column, float|int $amount = 1, array $extra = [])
     * @method static _IH_Trip_C|Trip[] all()
     * @ownLinks dispatcher_id,\App\Models\User,id|receiver_id,\App\Models\User,id|transporter_id,\App\Models\Transporter,id|vehicle_id,\App\Models\Vehicle,id|driver_id,\App\Models\Driver,id
     * @foreignLinks id,\App\Models\EPod,trip_id
     * @mixin _IH_Trip_QB
     * @method static TripFactory factory(callable|int|mixed[]|null $count = null, callable|mixed[] $state = [])
     */
    class Trip extends Model {}
    
    /**
     * @property int $id
     * @property string $name
     * @property string $email
     * @property Carbon|null $email_verified_at
     * @property string|null $mobile_no
     * @property mixed $password
     * @property string $role
     * @property string $status
     * @property Carbon|null $last_login_at
     * @property string|null $photo
     * @property string|null $remember_token
     * @property Carbon|null $created_at
     * @property Carbon|null $updated_at
     * @property _IH_Customer_C|Customer[] $customers
     * @property-read int $customers_count
     * @method HasMany|_IH_Customer_QB customers()
     * @property _IH_Trip_C|Trip[] $dispatcherTrips
     * @property-read int $dispatcher_trips_count
     * @method HasMany|_IH_Trip_QB dispatcherTrips()
     * @property DatabaseNotificationCollection|DatabaseNotification[] $notifications
     * @property-read int $notifications_count
     * @method MorphToMany|_IH_DatabaseNotification_QB notifications()
     * @property DatabaseNotificationCollection|DatabaseNotification[] $readNotifications
     * @property-read int $read_notifications_count
     * @method MorphToMany|_IH_DatabaseNotification_QB readNotifications()
     * @property _IH_Trip_C|Trip[] $receiverTrips
     * @property-read int $receiver_trips_count
     * @method HasMany|_IH_Trip_QB receiverTrips()
     * @property _IH_PersonalAccessToken_C|PersonalAccessToken[] $tokens
     * @property-read int $tokens_count
     * @method MorphToMany|_IH_PersonalAccessToken_QB tokens()
     * @property _IH_Transporter_C|Transporter[] $transporters
     * @property-read int $transporters_count
     * @method HasMany|_IH_Transporter_QB transporters()
     * @property DatabaseNotificationCollection|DatabaseNotification[] $unreadNotifications
     * @property-read int $unread_notifications_count
     * @method MorphToMany|_IH_DatabaseNotification_QB unreadNotifications()
     * @method static _IH_User_QB onWriteConnection()
     * @method _IH_User_QB newQuery()
     * @method static _IH_User_QB on(null|string $connection = null)
     * @method static _IH_User_QB query()
     * @method static _IH_User_QB with(array|string $relations)
     * @method _IH_User_QB newModelQuery()
     * @method false|int increment(string $column, float|int $amount = 1, array $extra = [])
     * @method false|int decrement(string $column, float|int $amount = 1, array $extra = [])
     * @method static _IH_User_C|User[] all()
     * @foreignLinks id,\App\Models\Customer,admin_id|id,\App\Models\Transporter,created_by_id|id,\App\Models\Trip,dispatcher_id|id,\App\Models\Trip,receiver_id|id,\App\Models\EPod,receiver_id
     * @mixin _IH_User_QB
     * @method static UserFactory factory(callable|int|mixed[]|null $count = null, callable|mixed[] $state = [])
     */
    class User extends Model {}
    
    /**
     * @property int $id
     * @property int $transporter_id
     * @property string $vehicle_registration_no
     * @property string|null $chassis_no
     * @property string|null $engine_no
     * @property string|null $make
     * @property string|null $model
     * @property string|null $vehicle_owner_name
     * @property string|null $vehicle_type
     * @property string|null $carrying_capacity
     * @property Carbon|null $fitness_upto
     * @property Carbon|null $insurance_upto
     * @property Carbon|null $pucc_upto
     * @property Carbon|null $created_at
     * @property Carbon|null $updated_at
     * @property Transporter $transporter
     * @method BelongsTo|_IH_Transporter_QB transporter()
     * @property _IH_Trip_C|Trip[] $trips
     * @property-read int $trips_count
     * @method HasMany|_IH_Trip_QB trips()
     * @method static _IH_Vehicle_QB onWriteConnection()
     * @method _IH_Vehicle_QB newQuery()
     * @method static _IH_Vehicle_QB on(null|string $connection = null)
     * @method static _IH_Vehicle_QB query()
     * @method static _IH_Vehicle_QB with(array|string $relations)
     * @method _IH_Vehicle_QB newModelQuery()
     * @method false|int increment(string $column, float|int $amount = 1, array $extra = [])
     * @method false|int decrement(string $column, float|int $amount = 1, array $extra = [])
     * @method static _IH_Vehicle_C|Vehicle[] all()
     * @ownLinks transporter_id,\App\Models\Transporter,id
     * @foreignLinks id,\App\Models\Trip,vehicle_id
     * @mixin _IH_Vehicle_QB
     * @method static VehicleFactory factory(callable|int|mixed[]|null $count = null, callable|mixed[] $state = [])
     */
    class Vehicle extends Model {}
}